if (typeof SharedWorker === "undefined") {
    alert('当前浏览器不支持webworker')
}

// 检查是否存在其它标签页, 如果存在不必建立 websocket 连接, 如果不存在, 则建立 websocket 连接
const worker = new SharedWorker('/src/worker.js')
worker.port.onmessage = (e) => {
    console.log('worker.port.onmessage:', e.data)
}
worker.port.start()

const button = document.createElement('button')
button.innerText = 'click'
button.onclick = () => {
    worker.port.postMessage('hello, worker')
}

document.body.appendChild(button)
